package com.sunxung.factoring.entity.project;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;

/**
 * <p>
 * 项目核心企业-黑名单
 * </p>
 *
 * @author liutao
 * @since 2023-12-15
 */
@TableName("project_core_enterprise_blacklist")
public class ProjectCoreEnterpriseBlacklist {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.AUTO)
    private Long id;
    /**
     * 项目核心企业审核id
     */
    @TableField("project_core_enterprise_audit_id")
    private Long projectCoreEnterpriseAuditId;

    /**
     * sop端 黑名单id
     */
    @TableField("c_blacklist_id")
    private Long cBlacklistId;

    /**
     * 类型
     */
    @TableField("punish_type")
    private String punishType;

    /**
     * 列入原因
     */
    @TableField("case_reason")
    private String caseReason;

    /**
     * 列入机关
     */
    @TableField("decision_office")
    private String decisionOffice;

    /**
     * 列入日期，精确到天，如“2022-01-01”
     */
    @TableField("decision_date")
    private String decisionDate;

    /**
     * 移出日期，精确到天，如“2022-01-01”
     */
    @TableField("removed_date")
    private String removedDate;

    /**
     * 黑名单 0 否 1 是
     */
    @TableField("blacklist")
    private Integer blacklist;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getProjectCoreEnterpriseAuditId() {
        return projectCoreEnterpriseAuditId;
    }

    public void setProjectCoreEnterpriseAuditId(Long projectCoreEnterpriseAuditId) {
        this.projectCoreEnterpriseAuditId = projectCoreEnterpriseAuditId;
    }
    public Long getcBlacklistId() {
        return cBlacklistId;
    }

    public void setcBlacklistId(Long cBlacklistId) {
        this.cBlacklistId = cBlacklistId;
    }
    public String getPunishType() {
        return punishType;
    }

    public void setPunishType(String punishType) {
        this.punishType = punishType;
    }
    public String getCaseReason() {
        return caseReason;
    }

    public void setCaseReason(String caseReason) {
        this.caseReason = caseReason;
    }
    public String getDecisionOffice() {
        return decisionOffice;
    }

    public void setDecisionOffice(String decisionOffice) {
        this.decisionOffice = decisionOffice;
    }
    public String getDecisionDate() {
        return decisionDate;
    }

    public void setDecisionDate(String decisionDate) {
        this.decisionDate = decisionDate;
    }
    public String getRemovedDate() {
        return removedDate;
    }

    public void setRemovedDate(String removedDate) {
        this.removedDate = removedDate;
    }
    public Integer getBlacklist() {
        return blacklist;
    }

    public void setBlacklist(Integer blacklist) {
        this.blacklist = blacklist;
    }

    @Override
    public String toString() {
        return "ProjectCoreEnterpriseBlacklist{" +
            "projectCoreEnterpriseAuditId=" + projectCoreEnterpriseAuditId +
            ", cBlacklistId=" + cBlacklistId +
            ", punishType=" + punishType +
            ", caseReason=" + caseReason +
            ", decisionOffice=" + decisionOffice +
            ", decisionDate=" + decisionDate +
            ", removedDate=" + removedDate +
            ", blacklist=" + blacklist +
        "}";
    }
}
